/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing PidApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class PidApiTests : IDisposable
    {
        private PidApi instance;

        public PidApiTests()
        {
            instance = new PidApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of PidApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' PidApi
            //Assert.IsType<PidApi>(instance);
        }

        /// <summary>
        /// Test ApiV2PidsOptions
        /// </summary>
        [Fact]
        public void ApiV2PidsOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2PidsOptions();
        }

        /// <summary>
        /// Test GetPid
        /// </summary>
        [Fact]
        public void GetPidTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string prefix = null;
            //Guid suffix = null;
            //var response = instance.GetPid(prefix, suffix);
            //Assert.IsType<PidDtoResponse>(response);
        }

        /// <summary>
        /// Test GetPids
        /// </summary>
        [Fact]
        public void GetPidsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //bool? includeProjects = null;
            //bool? includeResources = null;
            //bool? includeDeleted = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetPids(includeProjects, includeResources, includeDeleted, pageNumber, pageSize, orderBy);
            //Assert.IsType<PidDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test SendRequestToOwner
        /// </summary>
        [Fact]
        public void SendRequestToOwnerTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string prefix = null;
            //Guid suffix = null;
            //PidRequestDto? pidRequestDto = null;
            //instance.SendRequestToOwner(prefix, suffix, pidRequestDto);
        }
    }
}
